Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service.event
Class RegistrationEvent

    java.lang.Object
      java.util.EventObject
          org.codehaus.xfire.service.event.RegistrationEvent

All Implemented Interfaces:
  java.io.Serializable

    public class RegistrationEvent

extends java.util.EventObject

An `Event` object that provides information about the source of a service endpoint-related event. `RegistrationEvent` objects are generated when an `ServiceEndpoint` is registered or unregistered on a `ServiceEndpointRegistry`.

Author:
  Arjen Poutsma
See Also:
  `RegistrationEventListener`, `Service`, `ServiceRegistry`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RegistrationEvent(ServiceRegistry source, Service endpoint)` Initializes a `RegistrationEvent` object initialized with the given `ServiceEndpointRegistry` and `ServiceEndpoint` object.

Method Summary
`Service` | `getEndpoint()` Returns the `ServiceEndpoint` for this `RegistrationEvent`.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegistrationEvent

    public RegistrationEvent(ServiceRegistry source,
                             Service endpoint)

  Initializes a `RegistrationEvent` object initialized with the given `ServiceEndpointRegistry` and `ServiceEndpoint` object.

  Parameters:
    `source` - the endpoint registry that is the source of the event
    `endpoint` - the endpoint that has been registered

Method Detail

### getEndpoint

    public Service getEndpoint()

  Returns the `ServiceEndpoint` for this `RegistrationEvent`.

  Returns:
    the endpoint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.